<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>Log Database</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link type="text/css" href="/static/css/normalize.css" rel="stylesheet">
    <link type="text/css" href="/static/css/prism.css" rel="stylesheet">
    <link type="text/css" href="/static/css/chosen.css" rel="stylesheet">
    <link type="text/css" href="/static/css/skeleton.css" rel="stylesheet">
    <link type="text/css" href="/static/css/main.css" rel="stylesheet">
  </head>

  <body>
    <div class="container">
      <ul class="menu">
        <li class="menu"><a href="/">Home</a></li>
        <li class="menu"><a href="/upload/logs">Upload Test</a></li>
        <li class="menu"><a href="/fcp">FCPs</a></li>
        <li class="menu"><a href="/upload/fcps">Upload FCP</a></li>
        <li class="menu"><a href="/download">Download</a></li>
        <li class="menu"><a href="/upload/tags">Tags</a></li>
        <li class="menu"><a href="">Help</a></li>
        <img src="/static/img/Logo_FSTLisboa.png">
      </ul>

      <h1>Log Upload</h1>
      <iframe name="dummyframe" id="dummyframe" style="display: none;"></iframe>
      <form action = "{{api}}/logs" method = "POST" target="dummyframe" enctype="multipart/form-data">
        <div>
          <label for="name">Insert Name</label>
          <input type="form" id="name" name="name">
        </div>

        <div>
          <label for="csv">Insert Log File</label>
          <input type="file" id="csv" name="csv">
        </div>

        <div>
          <label for="fcp">Insert json File</label>
          <select name="fcp" class="one" id="fcp">
            {% for fcp in fcps %}
              <option value="{{fcp.get('json_name')}}">{{fcp.get('json_name')}}</option>
            {% endfor %}
          </select>
        </div>

        <div>
          <ul id="lista">
          </ul>
          <button type="button" onclick="addTag({{tags}})">Add Tag</button>
        </div>

        <input type="submit" onclick="alert('Log Uploaded!')" value="Submit File">
      </form>
    </div>
    <script src="/static/js/test.js" type="text/javascript" charset="utf-8"></script>
  </body>
</html>
